
import GameConst from "../common/GameConst";
// import WindowManager from "../manager/WindowManager";
import { BaseUI } from "./BaseUI";

export default class BasePanel extends BaseUI {
    layer: number = GameConst.WIN_LAYER.POPUP;
    winType: number = GameConst.WIN_TYPE.NORMAL;
    destroyAfterClose: boolean = false//关闭后销毁资源

    public show(data: any) {
    }

    public close() {
        window['WindowManager'].ins.removeWin(this.node.name)
    }

    onBtnClicked(event, customEventData) { };
}